lunes, 7 de marzo de 2011

Actualización de subversion para Debian Linux

Debian ha publicado una actualización del paquete subversion que soluciona una vulnerabilidad que podría permitir a un atacante remoto causar un ataque de denegación de servicio haciendo que la aplicación deje de responder.

Subversion es un popular sistema de control de versiones con licencia Apache.

El error reside en la función 'svn_fs_get_access' al devolver un puntero nulo cuando procesa un comando 'lock' si éste es enviado por un usuario no autenticado.

Un atacante remoto no autenticado podría causar una denegación de servicio a través del envío de comandos especialmente manipulados.

La vulnerabilidad solo puede ser explotada cuando subversion funciona a través del servidor Apache HTTPD cuando los usuarios no autenticados tienen acceso de lectura.

El fallo fue notificado por Philip Martin de la empresa WANdisco y tiene asignado el CVE-2011-0715.


David García
dgarcia@hispasec.com


Más información:

DSA-2181-1 subversion -- denial of service
http://www.debian.org/security/2011/dsa-2181

No hay comentarios:

Publicar un comentario en la entrada